import { readCostMap, solve_2}  from "./solver.ts";

const input = await Deno.readTextFile("input.txt");
const costMap = readCostMap(input);
// console.log(costMap)

const result = solve_2(costMap, [costMap[0].length - 1, costMap.length - 1]);
console.log(result);